<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddFolder Method (IEdmHistory)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmHistory Interface : AddFolder Method (IEdmHistory)

Visual Basic
C#
C++/CLI

lFolderID
  ID of folder to add

lEdmFolderHistoryFlags
  Combination of EdmFolderHistoryFlag bits (see Remarks)

Adds a folder to the history listing.

# Syntax

Visual Basic |
--- | ---

    Sub AddFolder( _
       ByVal lFolderID As System.Integer, _
       ByVal lEdmFolderHistoryFlags As System.Integer _
    )

C# |
--- | ---

    void AddFolder(
       System.int lFolderID,
       System.int lEdmFolderHistoryFlags
    )

C++/CLI |
--- | ---

    void AddFolder(
    &   System.int lFolderID,
    &   System.int lEdmFolderHistoryFlags
    )

#### Parameters

lFolderID
  ID of folder to add
lEdmFolderHistoryFlags
  Combination of EdmFolderHistoryFlag bits (see Remarks)

# Remarks

lEdmFolderHistoryFlags indicates whether subfolders are added recursively and whether files in the specified folder are added.

After all the files and folders have been added, call IEdmHistory::GetHistory to obtain the actual history listing.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmHistory Interface
IEdmHistory Members

# Availability

SOLIDWORKS PDM Professional Version 6.4